function g=addplant();
//RLTOOL for scilab (c) Ishan Pendharkar. 
//function addplant lets you add a cascade to existing plant.
// if G(s) is the current open loop plant, you add a cascade H(s) to make 
// the resulting plant G(s)H(s).

txt=['Numerator'; 'Denominator  '];


c1=1;c2=1;
while c1|c2<>0
[ok,n,d]=getvalue('enter transfer function as a function of s',txt,list("str",1,"str",1),["1";"s"]); // menu for taking polynomial input

if ok==%f then xselect(); whichplot(); return; end; // if "cancel" return
[n,c1]=evstr(n);  // execute string, c1 and c2 are for errorchecking
[d,c2]=evstr(d);
	if c1|c2<> 0 then 
	x_message('Error entering input');
	n=pol2str(numer(g)); // convert evaluation to numer and denom
	d=pol2str(denom(g));
	end;

end;

		k=n/d; // this is the added rational function H(s)
				
		g=g*k; // net cascaded plant
		xselect();
		whichplot(); // update the rootlocus/magnitude plot
		g=rl(g); // edit this plant to truncate spurious entries
		
		
return

