function [ok,fminbode,fmaxbode,bodestep]=bodesettings()
//RLTOOL for scilab (c) Ishan Pendharkar. 
//function settings for bode plot

if Frunits=='r' then, // which frequency units ?
	UNITS='rad/sec';
else,
	UNITS='hz';
end;

labels=["Min. Frequency for Bode plot ("+UNITS+")";
	"Max. Frequency for Bode Plot ("+UNITS+")";
	"Step size for frequency in Bode plot ("+UNITS+")"
	];
// dialog to input data
[ok,fminbode,fmaxbode,bodestep]=getvalue("Bode plot Settings",labels,...
list("vec",1,"vec",1,"vec",1),[string(fminbode);string(fmaxbode);string(bodestep)]);
if ok==%t then
xinfo('Changing Default Settings');
else xinfo('Loaded Default Settings'); // if "cancel" load default data
 fminbode=0.01; 
 fmaxbode=1000; 
 bodestep=0.01;
 end;
clear UNITS;
return;

