 function k=getgain(x,y)
// a main rltool code.
//*******************
//RLTOOL for scilab (c) Ishan Pendharkar. 
//function calculate gain corresponding to a point on rootlocus

if choice==1 then // rootlocus gain calculations
		flag=0;
		check=0;
		p=[x y];	
		point=x+%i*y; // this is the complex point
		
		// case clicked on a open loop pole.
		r=roots(denom(g));
		[n,m]=size(r);
		
		for i=1:n, // Check if point is an open loop pole
			if abs(point-r(i))<Limits() then 
			check=1; 
			flag=1; 
			end;
		end;
		
		// case clicked on a open loop zero
		
		r=roots(numer(g));
		[n,m]=size(r);
		
		for i=1:n, // check if point is an open loop zero
			if abs(point-r(i))<Limits() then 
			check=1;
			flag=2; 
			end;
		end;
		
		if flag==0 then // if none, then calculate k
		        if clean(horner(denom(g),[1,%i]*p'))<> 0 then,
			k=real(horner(g,[1,%i]*p')); 
			k=-1/k;
			flag=3;
			end;
		end;
		// this k MAYNOT lie on rootlocus, check for this
		r=roots(denom(g)+k*numer(g));
		[n,m]=size(r);
		
		// Check whether point lies on root locus
							
		for i=1:n,
			if abs(point-r(i)) < Limits() then 
			check=1;
			index=i;
			p=[real(r(index)) imag(r(index))];
			
			if clean(horner(denom(g),[1,%i]*p'))<> 0 then,
				k=real(horner(g,[1,%i]*p')); 
				k=-1/k;
				flag=3;
			end;
			break;
			end;
		end;
	
if check<>0  then, //means the point indeed lies on the rootlocus
	if flag  == 3 & k> 0 then,  
	xinfo("Gain = "+ string(k)+ ". "+ isstable(g,k));
	allsubplots(g,k); // plots four subplots.. plzr, step, bode, sens.
	end;
	
	
	if flag==1 then,
	x_message(['You clicked on a open-loop pole.';'Valus of gain=0']);
	k=0;
	end;
	
	if flag==2 then,
  x_message(['You clicked on a open-loop zero.';'Value of gain is infinity']);		k=[];
  	end;
	
	else
	xinfo('click on a point of the rootlocus to know the gain and roots');	
	k=[];
end;
clear r, point, check;		
else // magnitude plot calculations
xinfo(['Frequency  '+string(x)+' rad/sec'+' Magnitude '+string(y)+' dB']);
k=[];
end;
return;

