function g=rmzero(g)
//RLTOOL for scilab (c) Ishan Pendharkar. 
//function delete a zero from the plant

flag=0;

if choice<>1 then return;end; // nothing to be done in frequency design mode

p=locate(1,1);
p=clean(p,Limits()); // this is the mouse click...

r=roots(numer(g));
[n,m]=size(r);
p=p(1)+%i*p(2); // and the corresponding complex point

for i=1:n, // did you really click on a zero??......
	if abs(p-r(i))< Limits() then, p=r(i); flag=1;
	end;
end;

if flag==0 then // No you didn't!!....
xselect(); 
xinfo('click on a zero to remove it');
xselect();
end;

if flag==1 then, // YES it is indeed a zero!! 

	if imag(p)==0 then g=g/(s-real(p));
	else g=g/((s-real(p))^2+imag(p)^2); // remove it!
	end;
	g=clean(g,1e-5);
	xbasc();
	whichplot(); // update plots.
	g=rl(g);   // confirm this change
end;

return;
