function [ok,fminsens,fmaxsens,sensstep]=senssettings();
//RLTOOL for scilab (c) Ishan Pendharkar. 
//function settings for sensitivity plot

if Frunits=='r' then, // which frequency units?
	UNITS='rad/sec';
else,
	UNITS='hz';
end;

labels=["Min. Frequency for Sensitivity plot ("+UNITS+")";	
	"Max. Frequency for Sensitivity plot ("+UNITS+")";
	"Step Size for Sensitivity plot response ("+UNITS+")"
	];
// dialog for entering data	
[ok,fminsens,fmaxsens,sensstep]=getvalue("Sensitivity plot Settings",labels,...
list("vec",1,"vec",1,"vec",1),[string(fminsens);string(fmaxsens);string(sensstep)]);
xselect();
if ok==%t then // OK is pressed.
xinfo('Changing Default Settings');
else xinfo('Loaded Default Settings');
 fminsens=0.01; // CANCEL is pressed
 fmaxsens=1000; 
 sensstep=0.01;	
end;
clear UNITS;
return;

