mode(-1);
libname='rltool' 
libtitle='RLTOOL is a GUI-based tool for SISO system design'; 

mess=['rltool is loaded. Type ""rlt()"" to start rltool-1.4']
      

// generic part  
// get the absolute path 
[units,typs,nams]=file();
clear units typs
for k=size(nams,'*'):-1:1 
  l=strindex(nams(k),'loader.sce');
  if l<>[] then
    DIR=part(nams(k),1:l($)-1);
    break
  end
end

if ~MSDOS then //Unix
  if part(DIR,1)<>'/' then DIR=getcwd()+'/'+DIR,end
  MACROS=DIR+'macros/'
else // Visual C++
  if part(DIR,2)<>':' then DIR=getcwd()+'\'+DIR,end
  MACROS=DIR+'macros\' 
end

// load the library
execstr(libname+'=lib(""'+MACROS+'"")')
// add the help chapter
write(%io(2),mess)
%helps = [%helps; DIR+'man', libtitle]

// written for rltool... loading the help files
[x,ierr]=fileinfo('.rltoolcfg.sci'); // check if .rltoolcfg.sci is present
if ierr== 0 then, // YES! 
mess=['IMPORTANT';'^^^^^^^';'  ';'Found the file .rltoolcfg.sci at the location';pwd()+'. If you have been using'; 'an older version of rltool, or have modified rltool in any way';'please remove this file. You may have problems with rltool if this file is not removed.']
end;
write(%io(2),mess)

mess=[' ';'It is STRONGLY recommended that you use Netscape navigator';
      'or a similar html viewer/web browser to view the help pages!';
      'Looking for an html viewer on your computer................'] 
write(%io(2),mess)

loaded=1 ; // flag to see if help files have been loaded.
getf (DIR+'helploader.sce'); 
if MSDOS then,
	DIR=DIR+'man'+'\whatis.htm'
	
	else DIR=DIR+'man'+'/whatis.htm'
	end;

loaded=helploader(DIR);

mess=[' ';' ';'If the html viewer/ web browser fails to start,';
      'direct it manually to the following location:';DIR];
write(%io(2),mess)

if loaded <> 0 then, // means couldnot start browser.....
	error('Error! I couldnot find a web-browser on your PC');
end;

clear fd err nams DIR libname libtitle mess  //clean environment

 



