function g=addpole(g)
//RLTOOL for scilab (c) Ishan Pendharkar. 
//function adds a pole to existing plant.

if choice<>1 then return;end; // you cannot add pole in "frequency design" mode

p=locate(1,1);
p=clean(p,Limits()); // locate point and "clean" it
if clean(p(2),Limits())==0 then
	g=g/(s-p(1)); // add real pole
else
	g=g/((s-p(1))^2+p(2)^2); // add complex pole and conjugate
end;

xbasc();
whichplot(); // update rootlocus plot
g=rl(g);   // edit plant to truncate spurious entries
return;
 
