function impulse_response(g_closedloop)
//RLTOOL for scilab (c) Ishan Pendharkar. 
//function plot impulse response of closed loop plant
xbasc()
xname('Closed loop impulse response');
		if roots(denom(g_closedloop))<>[] then
			if gridon==1 then xgrid(4); end; // grid on
			if clean(k)==0 then,
			xinfo(['You selected an open loop pole. Plotting open loop impulse response']);
			t=0:tstep:tmax;
			plot2d([t',t'],[(csim('impulse',t,syslin('c',g)))',0*t']);
			xbasr();
			x_message(['Open loop impulse Response of';string(g);'with k = 0']);
			else
			t=0:tstep:tmax;
			resp=csim('impulse',t,g_closedloop) //this is the response vector
			plot2d([t',t'],[resp',0*t']);
			xbasr();
			xtitle('Impulse Response','Time (sec)','Magnitude') 
			x_message(['Impulse response of';string(g_closedloop);'with k = '+string(k);'root(s) ';string(r)]);
					
			end;
		else
		x_message(['Sorry! I cannot plot the impulse response';'Due to numerical tolerances, a pole-zero cancellation has occured.';' Please reselect point.']);
		end;
				
clear t,resp;
return


