function [ok,fminmag,fmaxmag,magstep]=magsettings();
//RLTOOL for scilab (c) Ishan Pendharkar. 
//function settings for magnitude (frequency) plot.

if Frunits=='r' then, // which frequency units?
	UNITS='rad/sec';
else,
	UNITS='hz';
end;

labels=["Min. Frequency for Magnitude plot ("+UNITS+")";	
	"Max. Frequency for Magnitude plot ("+UNITS+")";
	"Step Size for magnitude plot response ("+UNITS+")"
	];
// dialog for entering data	
[ok,fminmag,fmaxmag,magstep]=getvalue("Frequency magnitude plot Settings",labels,...
list("vec",1,"vec",1,"vec",1),[string(fminmag);string(fmaxmag);string(magstep)]);
xselect();
if ok==%t then // ok is pressed
whichplot();
xinfo('Changing Default Settings');
else xinfo('Loaded Default Settings');
 fminmag=0.01; // cancel is pressed
 fmaxmag=1000; 
 magstep=0.01;	
end;


return;

