function g=rmpole(g)
//RLTOOL for scilab (c) Ishan Pendharkar. 
//function delete a pole from the plant

flag=0;
if choice<>1 then return;end; // nothing to be done infrequency design mode

p=locate(1,1); // read mouse position and clean it
p=clean(p,Limits());


r=roots(denom(g));
[n,m]=size(r);

p=p(1)+%i*p(2); // this is the complex point u clicked.

for i=1:n,
	if abs(p-r(i))< Limits() then, p=r(i); flag=1;end;
end; // did you really click on a pole??......

if flag==0 then 
	xselect();
	xinfo('click on a pole to remove it'); // no you didn't!!
	xselect();
end;


if flag==1 then, // modify only if flag is affected. // Yes! It is a pole!
	if imag(p)==0 then g=g*(s-real(p));
	else g=g*((s-real(p))^2+imag(p)^2); // remove it!
	end;
	xbasc();
	whichplot(); // update plots
	g=rl(g); // confirm the change. 
end;

return;

