function substep_response(g_closedloop)
// function plots step response in subplot.

if roots(denom(g_closedloop))<>[] then,
			t=0:2*tstep:tmax;
			resp=csim('step',t,g_closedloop);
			plot2d([t',t'],[resp',0*t']);
				if gridon==1 then xgrid(4); end; // gridon==1 means grid on.
			xtitle('Step Response','Time (sec)','Magnitude')
end;
return

